#
# spec file for package python-click-threading
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-click-threading
Version:        0.4.3
Release:        2.1
Summary:        Multithreaded Click apps made easy
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/click-contrib/click-threading
Source:         https://files.pythonhosted.org/packages/source/c/click-threading/click-threading-%{version}.tar.gz
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module click >= 5.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-click >= 5.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Utilities for multithreading in click <http://click.pocoo.org/>.
*This is rather experimental.  See tests for usage for now.*

%prep
%setup -q -n click-threading-%{version}
rm -rf click_threading.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{python_sitelib}/*

%changelog
* Fri Jun 30 2017 aloisio@gmx.com
- Update to version 0.4.3
- Converted to single-spec
* Sun Jul 17 2016 arun@gmx.de
- update to version 0.4.0:
  * Rewrite using Future from the stdlib
- changes from version 0.3.0:
  * Directly execute if on main thread
- changes from version 0.2.0:
  * Put UI worker onto click context
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Tue Jan 19 2016 sleep_walker@opensuse.org
- added comment about test not being present
* Tue Jan 19 2016 sleep_walker@opensuse.org
- polish spec file (not only) with spec-cleaner
* Tue Jan 19 2016 sleep_walker@opensuse.org
- let there be python3-click-threading!
